#ifndef _BLV_485_DEV_HUAERSI_H_
#define _BLV_485_DEV_HUAERSI_H_
#include "BLV_485_Dev_MusicFun.h"

/***函数声明开始***/
void HuaErSi_RS485_Music_Data_Init(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485Music);	//添加华尔思音乐设备到链表 - 轮询设备
uint8_t HuaErSi_Music_Polling_Ctrl(uint32_t dev_addr);	//华尔思音乐轮询控制函数（用于发送命令控制）
uint8_t HuaErSi_Music_Data_Processing(uint32_t dev_addr, uint32_t data_addr, uint16_t len);	//华尔思音乐接收处理函数

void HuaErSi_Background_Read_Addr(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo);	//华尔思音乐地址读取函数
void HuaErSi_Background_Set_Addr(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo);	//华尔思音乐地址设置函数
void HuaErSi_Background_Specifies_Volume_Control(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo, uint16_t DevOutputLoop);	//华尔思音乐背景音乐指定音量控制函数
void HuaErSi_Background_Power_Control(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo, uint16_t DevOutputLoop);	//华尔思音乐电源控制函数
void HuaErSi_Background_Music_Control(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo, uint16_t DevOutputLoop);	//华尔思音乐背景音乐控制函数
void HuaErSi_Background_Volume_Control(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo, uint16_t DevOutputLoop);	//华尔思音乐背景音乐音量控制函数
void HuaErSi_Background_Track_Control(Device_Public_Information_G *BUS_Public, RS485_MUSIC_INFO *Rs485MusicInfo, uint16_t DevOutputLoop);	//华尔思音乐左右声道控制函数
/***函数声明结束***/
#endif
